Man-in-the-Middle (MitM) Affecting com.inedo.buildmaster:inedo-buildmaster Open this link in a new tab package, versions [,2.0)


0.0
high
  • Attack Complexity

    High

  • Confidentiality

    High

  • Integrity

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-COMINEDOBUILDMASTER-32460

  • published

    2 Aug 2018

  • disclosed

    1 Aug 2018

  • credit

    Daniel Beck

How to fix?

Upgrade com.inedo.buildmaster:inedo-buildmaster to version 2.0 or higher.

Overview

Jenkins Inedo BuildMaster Plugin allows Jenkins to request version information and trigger a build on an application in Inedo BuildMaster as part of a Jenkins build process.

Affected versions of this package are vulnerable to Man-in-the-Middle (MitM) attacks due to unconditionally disabling SSL/TLS certificate validation for the entire Jenkins master JVM. An Attacker may be able ot impersonate any serivce that Jenkins connects to.